Package: groovy.swing.impl

## [Java] Class TableLayoutCell

- groovy.swing.impl.TableLayoutCell

- Represents a cell in a table layout.

  Authors:
    James Strachan

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static Logger` | `LOG` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `colfill`
    `int` | `colspan`
    `boolean` | `rowfill`
    `int` | `rowspan`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TableLayoutCell (TableLayoutRow parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addComponent(Component component)`
    `` | `protected GridBagConstraints` | `createConstraints()`
    `` | `protected int` | `getAnchor()` @return the GridBagConstraints enumeration for anchor
    `` | `int` | `getColspan()`
    `` | `Component` | `getComponent()`
    `` | `GridBagConstraints` | `getConstraints()` @return the constraints of this cell
    `` | `int` | `getRowspan()`
    `` | `boolean` | `isColfill()` Returns the colfill.
    `` | `boolean` | `isRowfill()` Returns the rowfill.
    `` | `void` | `setAlign(String align)` Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}
    `` | `void` | `setColfill(boolean colfill)` Sets whether or not this column should allow its component to stretch to fill the space available
    `` | `void` | `setColspan(int colspan)` Sets the number of columns that this cell should span.
    `` | `void` | `setRowfill(boolean rowfill)` Sets whether or not this row should allow its component to stretch to fill the space available
    `` | `void` | `setRowspan(int rowspan)` Sets the number of rows that this cell should span.
    `` | `void` | `setValign(String valign)` Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected static final Logger LOG

  - ### Property Detail

    - #### boolean colfill

    - #### int colspan

    - #### boolean rowfill

    - #### int rowspan

  - ### Constructor Detail

    - #### public TableLayoutCell(TableLayoutRow parent)

  - ### Method Detail

    - #### public void addComponent(Component component)

    - #### protected GridBagConstraints createConstraints()

    - #### protected int getAnchor()

      Returns:
        the GridBagConstraints enumeration for anchor

    - #### public int getColspan()

    - #### public Component getComponent()

    - #### public GridBagConstraints getConstraints()

      Returns:
        the constraints of this cell

    - #### public int getRowspan()

    - #### public boolean isColfill()

      Returns the colfill.

      Returns:
        boolean

    - #### public boolean isRowfill()

      Returns the rowfill.

      Returns:
        boolean

    - #### public void setAlign(String align)

      Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}

      Parameters:
        `align` - one of 'left', 'center', or 'right'

    - #### public void setColfill(boolean colfill)

      Sets whether or not this column should allow its component to stretch to fill the space available

      Parameters:
        `colfill` - The default is false

    - #### public void setColspan(int colspan)

      Sets the number of columns that this cell should span. The default value is 1

      Parameters:
        `colspan` - The default is 1

    - #### public void setRowfill(boolean rowfill)

      Sets whether or not this row should allow its component to stretch to fill the space available

      Parameters:
        `rowfill` - The default is false

    - #### public void setRowspan(int rowspan)

      Sets the number of rows that this cell should span. The default value is 1

      Parameters:
        `rowspan` - The default is 1

    - #### public void setValign(String valign)

      Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

      Parameters:
        `valign` - one of 'top', 'middle', 'bottom'